//
// JmsaTopicConnection.java - JMS Adapter TopicConnection
//

package nyangau.jmsadapter;

import javax.jms.*;

public class JmsaTopicConnection extends JmsaConnection implements TopicConnection
  {
//...sJmsaTopicConnection:2:
public JmsaTopicConnection(TopicConnection c, FlowProcessor fp)
  { super(c, fp); }
//...e
//...screateConnectionConsumer:2:
public ConnectionConsumer createConnectionConsumer(
  Topic topic,
  String messageSelector,
  ServerSessionPool sessionPool,
  int maxMessages
  )
  throws JMSException
  {
  return ((TopicConnection)c).createConnectionConsumer(
    (Topic) getDest(topic),
    messageSelector,
    sessionPool,
    maxMessages
    );
  }
//...e
//...screateDurableConnectionConsumer:2:
public ConnectionConsumer createDurableConnectionConsumer(
  Topic topic,
  String subscriptionName,
  String messageSelector,
  ServerSessionPool sessionPool,
  int maxMessages
  )
  throws JMSException
  {
  return ((TopicConnection)c).createDurableConnectionConsumer(
    (Topic) getDest(topic),
    subscriptionName,
    messageSelector,
    sessionPool,
    maxMessages
    );
  }
//...e
//...screateTopicSession:2:
public TopicSession createTopicSession(boolean transacted, int acknowledgeMode)
  throws JMSException
  {
  JmsaTopicSession s = new JmsaTopicSession( ((TopicConnection)c).createTopicSession(transacted, acknowledgeMode), this, fp );
  ss.add(s);
  return s;
  }
//...e
  }
